/*
** adpcm.h - include file for adpcm coder.
**
** Version 1.0, 7-Jul-92.
*/

struct adpcm_state {
    short       valprev;        /* Previous output value */
    char        index;          /* Index into stepsize table */
};

extern void adpcm_coder_u(unsigned char[], char[], int, struct adpcm_state *);
extern void adpcm_decoder_u(char[], unsigned char[], int, struct adpcm_state *);
